文档首页 > > 移植指南> 安装Fluentd

安装Fluentd

分享
更新时间:2020/06/03 GMT+08:00

介绍

简要介绍

Fluentd是一个最初由Treasure Data开发的跨平台的开源数据收集软件项目,它是用于半结构化或非结构化数据集的大数据工具。与Apache Kafka一样,它分析事件日志,应用程序日志和点击流。

语言:C/Ruby

一句话描述:Fluentd是一个log信息收集软件。

建议的版本

  • 建议使用版本为“fluentd-1.10.4”
  • 通过ruby的gem工具进行安装。

环境要求

云服务器要求

本文以云服务器KC1实例测试,云服务器配置如表1所示。

表1 云服务器配置

项目

说明

规格

kc1.xlarge.2 | 4vCPUs | 8GB

磁盘

系统盘:高IO(40GB)

操作系统要求

操作系统要求如表2所示。

表2 操作系统要求

项目

版本

下载地址

CentOS

7.6

在公共镜像中已提供。

Kernel

4.14.0

在公共镜像中已提供。

配置安装环境

安装Ruby。

Fluentd要求安装Ruby最低版本为2.1.0,链接https://www.huaweicloud.com/kunpeng/software/ruby.html提供了安装Ruby>=2.1.0的方法,请参考安装。

安装

使用gem安装Fluentd。

gem install fluentd

运行和验证

  1. 查看Fluentd的版本号。

    fluentd --version

    终端回显:fluentd 1.10.4

  2. 查看Fluentd的选项参数等信息。

    fluentd --help

分享:

    相关文档

    相关产品

文档是否有解决您的问题?

提交成功!非常感谢您的反馈,我们会继续努力做到更好!
反馈提交失败,请稍后再试!

*必选

请至少选择或填写一项反馈信息

字符长度不能超过200

提交反馈 取消

如您有其它疑问,您也可以通过华为云社区问答频道来与我们联系探讨

智能客服提问云社区提问